import { drawHover } from './hover';
import { drawLabel } from './label';
import { drawTwoArcs } from './nodeArc';
jest.mock('./label', function () { return ({
    drawLabel: jest.fn()
}); });
jest.mock('./nodeArc', function () { return ({
    drawTwoArcs: jest.fn()
}); });
describe('drawHover tests', function () {
    var context = {};
    var settings = {};
    var data = {
        x: 1,
        y: 1,
        size: 12,
        label: 'Test label'
    };
    it('should call drawTwoArcs and drawLabel', function () {
        drawHover(context, data, settings);
        expect(drawTwoArcs).toHaveBeenCalledWith(context, data);
        expect(drawLabel).toHaveBeenCalledWith(context, data, settings, { backgroundColor: '#FFF' });
    });
});
